package com.hzs.system.config;

import com.hzs.common.core.domain.R;
import com.hzs.system.config.dto.VertexDTO;

import java.util.List;

public interface IVertexServiceApi {

    /**
     * 查询所有体系配置
     *
     * @return
     */
    R<List<VertexDTO>> findAll();

    /**
     * 查询所有体系配置(根据国家)
     *
     * @return
     */
    R<List<VertexDTO>> findAllByPkCountry(Integer pkCountry);

    /**
     * 根据ID查询体系
     *
     * @param pkVertex 体系ID
     * @return
     */
    R<VertexDTO> findById(Long pkVertex);

}
